/*** * **** * ***** ********* ** ****** ***** *** ***** ********
**
** Copyright (c) 2005-2009, SkeTo Project
** All rights reserved.
**
** This file is part of the SkeTo Library. This library is free
** software; you can redistribute it and/or modify it under the
** terms of the MIT License (see COPYING in the package).
** 
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
**
*** * **** * ***** ********* ** ****** ***** *** ***** ********/

/**
 * @flie list_skeletons.h
 * @brief The main file for distributed lists and list skeletons.
 */

#ifndef __LIST_SKELETONS_H__
#define __LIST_SKELETONS_H__
#include "sketo.h"

#include "list_skeletons_predef.h"

#include "dist_list.h"

#ifdef __SKETO_NO_FUSION__
#include "list_skeletons_noopt.h"
#else
#include "list_skeletons_with_fusion.h"
#endif

#include "dist_list.tpp"

#endif // __LIST_SKELETONS_H__

